org.fourthline.cling.support.avtransport.callback

## Class Seek

- java.lang.Object
- - org.fourthline.cling.controlpoint.ActionCallback
  - - org.fourthline.cling.support.avtransport.callback.Seek

- All Implemented Interfaces:
    Runnable

      public abstract class Seek
      extends ActionCallback

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.controlpoint.ActionCallback

      `ActionCallback.Default`

  - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.controlpoint.ActionCallback

      `actionInvocation, controlPoint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Seek(Service service, SeekMode mode, String target)`
    `Seek(Service service, String relativeTimeTarget)`
    `Seek(UnsignedIntegerFourBytes instanceId, Service service, SeekMode mode, String target)`
    `Seek(UnsignedIntegerFourBytes instanceId, Service service, String relativeTimeTarget)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `success(ActionInvocation invocation)`

    - ### Methods inherited from class org.fourthline.cling.controlpoint.ActionCallback

      `createDefaultFailureMessage, failure, failure, getActionInvocation, getControlPoint, run, setControlPoint, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Seek

          public Seek(Service service,
                      String relativeTimeTarget)

    - #### Seek

          public Seek(UnsignedIntegerFourBytes instanceId,
                      Service service,
                      String relativeTimeTarget)

    - #### Seek

          public Seek(Service service,
                      SeekMode mode,
                      String target)

    - #### Seek

          public Seek(UnsignedIntegerFourBytes instanceId,
                      Service service,
                      SeekMode mode,
                      String target)

  - ### Method Detail

    - #### success

          public void success(ActionInvocation invocation)

      Specified by:
        `success` in class `ActionCallback`

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.